%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kturtle
Summary:	kturtle
Summary(pl.UTF-8):	kturtle
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	fe91ed3591cdaa3759160cfe49a6dd23
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knewstuff-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTurtle is an educational programming environment that aims to make
learning how to program as easily as possible. To achieve this KTurtle
makes all programming tools available from the user interface. The
programming language used is TurtleScript which allows its commands to
be translated.

%description -l pl.UTF-8
KTurtle to edukacyjne środowisko programistyczne, którego celem jest
nauczanie programowania tak łatwo, jak to tylko możliwe. Aby to osiągnąć
KTurtle udostępnia wszystkie narzędzia programistyczne z interfejsu
użytkownika. Używanym językiem programowania jest TurtleScript, który
pozwala by jego komendy były przetłumaczone.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/kturtle.knsrc
%attr(755,root,root) %{_bindir}/kturtle
%{_desktopdir}/org.kde.kturtle.desktop
%{_iconsdir}/hicolor/128x128/apps/kturtle.png
%{_iconsdir}/hicolor/16x16/apps/kturtle.png
%{_iconsdir}/hicolor/22x22/apps/kturtle.png
%{_iconsdir}/hicolor/32x32/apps/kturtle.png
%{_iconsdir}/hicolor/48x48/apps/kturtle.png
%{_iconsdir}/hicolor/64x64/apps/kturtle.png
%dir %{_datadir}/katepart
%dir %{_datadir}/katepart/syntax
%{_datadir}/katepart/syntax/logohighlightstyle.en_GB.xml
%{_datadir}/katepart/syntax/logohighlightstyle.nb.xml
%{_datadir}/katepart/syntax/logohighlightstyle.nds.xml
%{_datadir}/katepart/syntax/logohighlightstyle.nl.xml
%{_datadir}/kturtle
%dir %{_datadir}/kxmlgui5/kturtle
%{_datadir}/kxmlgui5/kturtle/kturtleui.rc
%{_datadir}/metainfo/org.kde.kturtle.appdata.xml
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kturtle.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8bb2ab0
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f4dddba
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0efb624
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 145832c
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1f5fd20
- updated to 21.08.0

* Tue Aug 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5334143
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ae6158c
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 210f82d
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d1e5aa2
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ff9acef
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f714ea4
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5425ad6
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 4fe4213
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 478eb31
- updated to 18.12.0

